Categories:
  - Internet
License: GPL-3.0-only
AuthorName: genofire
SourceCode: https://dev.sum7.eu/sum7/Conversations
IssueTracker: https://dev.sum7.eu/sum7/Conversations/issues
Translation: https://www.transifex.com/projects/p/conversations/
Changelog: https://dev.sum7.eu/sum7/Conversations/blob/HEAD/CHANGELOG.md

AutoName: Conv6ations for Sum7

RepoType: git
Repo: https://dev.sum7.eu/sum7/Conversations

Builds:
  - versionName: 2.5.0+fcr
    versionCode: 326
    commit: 2.5.0-sum7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.1
    versionCode: 327
    commit: 2.5.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' -e '/versionNameSuffix/d' build.gradle

  - versionName: 2.5.2
    versionCode: 329
    commit: 2.5.2-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.3
    versionCode: 330
    commit: 2.5.3-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.4
    versionCode: 333
    commit: 2.5.4-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.5
    versionCode: 334
    commit: 2.5.5-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.6
    versionCode: 336
    commit: 2.5.6-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.7
    versionCode: 337
    commit: 2.5.7-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.8
    versionCode: 338
    commit: 2.5.8-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.11
    versionCode: 341
    commit: 2.5.11-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.11.1
    versionCode: 342
    commit: 2.5.11.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.12
    versionCode: 346
    commit: 2.5.12-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.0
    versionCode: 349
    commit: 2.6.0-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.0.1
    versionCode: 350
    commit: 2.6.0.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.1
    versionCode: 351
    commit: 2.6.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.3
    versionCode: 360
    commit: 2.6.3-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.4
    versionCode: 362
    commit: 2.6.4-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.6.4.1
    versionCode: 363
    commit: 2.6.4.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.7.0
    versionCode: 364
    commit: 2.7.0-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.7.1
    versionCode: 367
    commit: 2.7.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.0
    versionCode: 379
    commit: 2.8.0-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.1
    versionCode: 381
    commit: 2.8.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.2
    versionCode: 382
    commit: 2.8.2-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.3
    versionCode: 383
    commit: 2.8.3-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.4
    versionCode: 387
    commit: 2.8.4-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.5
    versionCode: 388
    commit: 2.8.5-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.6
    versionCode: 390
    commit: 2.8.6-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.7
    versionCode: 393
    commit: 2.8.7-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.8
    versionCode: 394
    commit: 2.8.8-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.8.9
    versionCode: 395
    commit: 2.8.9-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

MaintainerNotes: |-
    We rename package on fork to work more smoothly (sharing button) - https://github.com/kriztan/Pix-Art-Messenger/issues/160,
    but without in git repository to make it easier for update to upstream (see .gitlab-ci.yml).

AutoUpdateMode: Version %v-sum7
UpdateCheckMode: Tags ^[0-9.]+
CurrentVersion: 2.8.9
CurrentVersionCode: 395
